﻿@page "{AccountID}"
@using Canyon.GM.Panel.Services.Core;
@inject IStringLocalizer StringLocalizer;
@model Canyon.GM.Panel.Areas.User.Pages.IndexModel
@{
    Layout = "~/Areas/User/Shared/_Layout.cshtml";
    ViewData[TITLE] = StringLocalizer.GetString("ManageUserTitle", Model.Account.UserName);
}

<form method="post" asp-page-handler="ChangeInformation">
    <div class="mt-30 mb-40">
        <div class="row mt-5">
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Identity")</label>
                    <div class="col-sm-8">
                        @Model.AccountID
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("CreationDate")</label>
                    <div class="col-sm-8">
                        @Model.Account.CreationDate.ToString()
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-5">
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("UserName")</label>
                    <div class="col-sm-8">
                        @Model.Account.UserName
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Email")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.Email" />
                        <small id="emailHelp" class="form-text text-muted">@StringLocalizer.GetString("AdmPanelEmailAlert")</small>
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-5">
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Password")</label>
                    <div class="col-sm-8">
                        <div class="form-check form-switch">
                            <input class="form-check-input" type="checkbox" role="switch" asp-for="Input.Password">
                            <label class="form-check-label" asp-for="Input.Password">@StringLocalizer.GetString("AdmPanelPasswordAlert")</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("TwoFactorEnabled")</label>
                    <div class="col-sm-8">
                        <div class="form-check form-switch">
                            <input class="form-check-input" type="checkbox" role="switch" asp-for="Input.TwoFactorEnabled">
                            <label class="form-check-label" asp-for="Input.TwoFactorEnabled">@StringLocalizer.GetString("TwoFactorDisableAlert")</label>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-5">
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("GivenName")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.GivenName" />
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("FamilyName")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.FamilyName" />
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-5">
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Birthday")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.BirthDate" />
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Language")</label>
                    <div class="col-sm-8">
                        <select class="form-control" asp-for="Input.Locale">
                            @foreach (var question in LanguageService.AvailableLanguages)
                            {
                                <option value="@question.LanguageCultureName">@question.LanguageFullName</option>
                            }
                        </select>
                    </div>
                </div>
            </div>
        </div>

        <button class="btn btn-primary mt-5" type="submit">@StringLocalizer.GetString("Submit")</button>
    </div>
</form>
